/*
============
table content
--------------
1-Global
2-header
3-middle
4-wave
===========
*/

/*
===========
global
==========
*/

*{
    margin: 0;
    color: rgb(240, 240, 247);
    font-family: sans-serif;
}



*,*:before ,*:after {box-sizing: inherit;}

.cover{
    background-image: url("https://www.a2hosting.com/blog/content/uploads/2017/08/QUIC-Hosting.jpg");
    height: 800px;
    background-size: cover;  
    position: relative;
}
header,nav,.middle,.wave {
    
}
/*
===========
header
==========
*/
header{
    
    display:flex;
    justify-content: space-around;
}
.logo{
    
    width: 40%;
    margin-top:10px;
}
p{
    display: inline-block;
    position: relative;
    top: -40px;
    font-size: 20px;
}
a{
    text-decoration: none;
    font-size: 20px;
    margin: 15px;
    opacity: 0.5;
    transition: all 0.3s;
    
}
a:hover{
    opacity: 1;
}
nav{
    margin-top: 25px;
}
/*
===========
middle
==========
*/
.middle{
    height: 400px;
    position: relative;
}
h1{
    text-align: center;
    font-size: 30px;
    animation: mov 5s infinite;
}
@keyframes mov{
    0%,100%{letter-spacing:5px;}
    50%{letter-spacing:15px;}
}

.main-img{
    width: 25%;
    display: block;
    margin-left: auto;
    margin-right: auto;
    

}


.left{
    
    
    top: 35%;
    left:10%;
    position: absolute;
}
button{
    all:unset;
    font-size: 25px;
    background-color: goldenrod;
    display: block;
    margin: 20px 0;
    padding: 10px 16px;
    cursor: pointer;
    border-radius: 12px;
    transition: all .3s;
}
button:hover{
    padding: 5px ;
    font-size: 20px;
}

@media(max-width:900px ){
    
.left{
    
    text-align: center;
    position: static;
    } 
button{
    margin-left: auto;
    margin-right: auto;
} 
}




/*
===========
wave
==========
*/
.wave{
    
    position:absolute;
    width: 100%;
    bottom: 0px;
    height: 150px;
    background-image: url(wave.png);
    opacity: .8;
    
    
    animation: waveani 20s; infinte;
}
@keyframes waveani{
    0%{
    background-position: 1000px;
    }
    50%{
        background-position: 100px;
    }
    100%{
        background-position: 1000px;
    }
}
.wave::before{
    content: "";
    background-image: url(wave.png);
    opacity: .5;
    position:absolute;
    width: 100%;
    bottom: 0px;
    height: 150px;
    
   
    animation: waveanirev 20s; infinte;

}
@keyframes waveanirev{
    0%{
    background-position: -1000px;
    }
    50%{
        background-position: -100px;
    }
    100%{
        background-position: -1000px;
    }
}